package com.kingdee.eas.custom.dormitorysystem.otherbasicdata;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class RoomTypeTreeFactory
{
    private RoomTypeTreeFactory()
    {
    }
    public static com.kingdee.eas.custom.dormitorysystem.otherbasicdata.IRoomTypeTree getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.otherbasicdata.IRoomTypeTree)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("76DBD754") ,com.kingdee.eas.custom.dormitorysystem.otherbasicdata.IRoomTypeTree.class);
    }
    
    public static com.kingdee.eas.custom.dormitorysystem.otherbasicdata.IRoomTypeTree getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.otherbasicdata.IRoomTypeTree)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("76DBD754") ,com.kingdee.eas.custom.dormitorysystem.otherbasicdata.IRoomTypeTree.class, objectCtx);
    }
    public static com.kingdee.eas.custom.dormitorysystem.otherbasicdata.IRoomTypeTree getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.otherbasicdata.IRoomTypeTree)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("76DBD754"));
    }
    public static com.kingdee.eas.custom.dormitorysystem.otherbasicdata.IRoomTypeTree getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.otherbasicdata.IRoomTypeTree)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("76DBD754"));
    }
}